data <- read.csv("C:/Users/elizabeth/Dropbox/specificity community study/rstuff/diversity stuff RICHNESS/avgdiversity by fungi.csv")
attach(data)
names(data)
#head(data)
#library(car)
summary(data)#grand summary of all data
par(mfrow=c(2,2),mar=c(3,3,1,0),oma=c(1,2,0,0))

soilsnativediv<-data$avgrichmean
respplot<-barplot(soilsnativediv, ylim=c(0,6))
resperrorlow<-data$avgricher
lowball<-array(soilsnativediv-resperrorlow)
highball<-array(soilsnativediv+resperrorlow)
arrows(x0=respplot,  y0=lowball, y1=highball, angle=90, code=3, length=0.07)
#par(new=TRUE)
#help(arrows)
#compdata <- read.csv("C:/Users/elizabeth/Dropbox/specificity community study/rstuff/diversity stuff RICHNESS/diversity by fungi.csv")
#attach(compdata)
points(4.25,4.87, pch=0, col="blue",cex=1.7 )
#all
#goodb
points(2.9,4.34, pch=15, col="blue",cex=1.7 )
#goodg	
points(2.9,4.47 ,pch=16, col="blue",cex=1.7 )
#goodm	
points(2.9,4.973, pch=17, col="blue",cex=1.7 )
#inf
points(1.8,5.68, pch=8, col="blue",cex=1.7 )
#lam
points(1.8,4.45, pch=6, col="blue",cex=1.7 )

#badmi	
points(3.1,4.03, pch=15, col="red",cex=1.7 )
#cla	
points(1.8,3.76, pch=16, col="red",cex=1.7 )
#mixmi	
points(2.8,4.09, pch=17, col="red",cex=1.7 )
#mos	
points(1.8,4.02, pch=8, col="red",cex=1.7 )

#pel	
points(1.8,2.66, pch=15, col="black",cex=1.7 )
#spi	
points(1.8,3.05, pch=16, col="black",cex=1.7 )
#badba	
points(2.9,3.24, pch=17, col="black",cex=1.7 )
#str	
points(.9,1.87, pch=8, col="black",cex=1.7 )
#plot(pants, nopants)


 
mtext(side=1, cex=1,line=.7,"0                     1                      2                       6")
mtext(side=1, cex=1.1, line=2.5,"                 Fungal Richness                 ")
mtext(side=2, cex=1.3, line=2.2, "Plant Diversity Year One 
      Mesocosm")
text(.5,5.8, "A)", cex=1)


par(mar=c(0,0,.7,0))



###########################################
par(mar=c(0,0,0,0), omar=c(0,0,0,0))

plot(data$earlyprop, data$earlynon, col="white", xaxt="n", yaxt="n", bty="n", ylim=c(0,1), xlim=c(0,1))

legend(.1,.9, c("Diverse Six Species Mix",  "Beneficial/Non-beneficial", "Beneficial/Beneficial",
                  "Beneficial/Intermediate", "E. infrequens", "C. lamellosum", "Non-beneficial/Intermediate"
                  ,"C. claroideum", "Intermediate/Intermediate" 
),  cex=1.1, pch=c(0, 15, 16, 17, 8, 6, 15,16,17), 
col=c("blue","blue","blue","blue","blue","blue",
      "red", "red", "red"), bty="n")

legend(.63, .9, c("F. mosseae",
                  "C. pellucida", "A. spinosa" ,
                  "Non-beneficial/", "Non-beneficial","Non-Inoculated", "Control"
),  cex=1.1, pch=c( 8,15, 16, 17, 26, 8, 26), 
col=c("red","black", "black", "black", "white" ,"black", "white"), bty="n")


#mydata <- read.csv("C:/Users/elizabeth/Dropbox/specificity field Hilltop/2017 of 2016 data/div means only 2017 from 2016 data.csv")
#mydata
#attach(mydata)
#names(mydata)
par(mar=c(3,3,1,0))



divnumbers<-array(c(1.85,3.34, 4.10))
divnumbers
respplot<-barplot(divnumbers, ylim=c(0,5))

divnumbererrors<-array(c(0.53, 0.53, 0.53))
lowball<-array(divnumbers-divnumbererrors)

highball<-array(divnumbers+divnumbererrors)
arrows(x0=respplot,  y0=lowball, y1=highball, angle=90, code=3, length=0.07)
#par(new=TRUE)


mtext(side=1, cex=1,line=.7,"0                                1                           4")
mtext(side=1, cex=1.1, line=2.5,"                Fungal Richness                   ")
mtext(side=2, cex=1.3, line=2.2, "Plant Diversity Field")
text(.5,5.8, "A)")

points(3.0,4.1, pch=12, col="blue",cex=1.7 )
#all

#str	
points(.9,1.86, pch=8, col="black",cex=1.7 )
#plot(pants, nopants)

#inf
points(1.8,3.9, pch=8, col="blue",cex=1.7 )
#lam
points(1.8,3.07, pch=6, col="blue",cex=1.7 )

#cla	
points(1.8,1.73, pch=16, col="red",cex=1.7 )

#spi	
points(1.8,4.7, pch=16, col="black",cex=1.7 )

text(.5,4.8, "B)", cex=1)



#data <- read.csv("C:/Users/elizabeth/Dropbox/specificity community study/rstuff/diversity stuff RICHNESS/r per cap growth stff changed to DIV STUFF for fig.csv")
data <- read.csv("C:/Users/elizabeth/Dropbox/specificity community study/rstuff/diversity stuff RICHNESS/r per cap growth stff changed to DIV STUFF for fig.csv")
attach(data)
names(data)

par(mar=c(3,6,0,1))
plot(data$lateprop, data$lateall, cex=2, col="blue", ylim=c(0,7.25), xlim=c(.2, .8), pch=0, xaxt="n", ylab="")
loess_fit <- loess(data$lateall ~ data$lateprop, data)
lines(data$lateprop, predict(loess_fit), col = "blue")
#text(0.22,6.8, "B)")


mtext(side=1, "Early           Mid-           Late
      Biased  Successional   Biased", line=2.5, cex=1.1)
mtext(side=2, cex=1.3,line=2.5, "Plant Diversity Year One Mesocosm")


points(data$lateprop, data$latebn, cex=2,  col="blue", ylim=c(0,7), xlim=c(.2, .8), pch=15)
loess_fit <- loess(data$latebn ~ data$lateprop, data)
lines(data$lateprop, predict(loess_fit), col = "blue")

points(data$lateprop, data$latebb, cex=2, col="blue", ylim=c(0,7), xlim=c(.2, .8), pch=16)
loess_fit <- loess(data$latebb ~ data$lateprop, data)
lines(data$lateprop, predict(loess_fit), col = "blue")

points(data$lateprop, data$latebi, cex=2,  col="blue", ylim=c(0,7), xlim=c(.2, .8), pch=17)
loess_fit <- loess(data$latebi ~ data$lateprop, data)
lines(data$lateprop, predict(loess_fit), col = "blue")
points(data$lateprop, data$lateinf, cex=2,col="blue" , ylim=c(0,7), xlim=c(.2, .8), pch=8)
loess_fit <- loess(data$lateinf ~ data$lateprop, data)
lines(data$lateprop, predict(loess_fit), col = "blue")

points(data$lateprop, data$latelam, cex=2,  col="blue", ylim=c(0,7), xlim=c(.2, .8), pch=6)
loess_fit <- loess(data$latelam ~ data$lateprop, data)
lines(data$lateprop, predict(loess_fit), col = "blue")


points(data$lateprop, data$latein, cex=2,  col="red", ylim=c(0,7), xlim=c(.2, .8), pch=15)
loess_fit <- loess(data$latein ~ data$lateprop, data)
lines(data$lateprop, predict(loess_fit), col = "red")

points(data$lateprop, data$latecla, cex=2, col="red", ylim=c(0,7), xlim=c(.2, .8), pch=16)
loess_fit <- loess(data$latecla ~ data$lateprop, data)
lines(data$lateprop, predict(loess_fit), col = "red")

points(data$lateprop, data$lateii, cex=2,  col="red", ylim=c(0,7), xlim=c(.2, .8), pch=17)
loess_fit <- loess(data$lateii ~ data$lateprop, data)
lines(data$lateprop, predict(loess_fit), col = "red")

points(data$lateprop, data$latemos, cex=2,  col="red", ylim=c(0,7), xlim=c(.2, .8), pch=8)
loess_fit <- loess(data$latemos ~ data$lateprop, data)
lines(data$lateprop, predict(loess_fit), col = "red")


points(data$lateprop, data$latepel, cex=2,  col="black", ylim=c(0,7), xlim=c(.2, .8), pch=15)
loess_fit <- loess(data$latepel ~ data$lateprop, data)
lines(data$lateprop, predict(loess_fit), col = "black")


points(data$lateprop, data$latespi, cex=2,  col="black", ylim=c(0,7), xlim=c(.2, .8), pch=16)
loess_fit <- loess(data$latespi ~ data$lateprop, data)
lines(data$lateprop, predict(loess_fit), col = "black")

points(data$lateprop, data$latenn, cex=2,  col="black", ylim=c(0,7), xlim=c(.2, .8), pch=17)
loess_fit <- loess(data$latenn ~ data$lateprop, data)
lines(data$lateprop, predict(loess_fit), col = "black")

points(data$lateprop, data$latenon, cex=2, col="black", ylim=c(0,7), xlim=c(.2, .8), pch=8)
loess_fit <- loess(data$latenon ~ data$lateprop, data)
lines(data$lateprop, predict(loess_fit), col = "black")




