
data <- read.csv("C:/Users/elizabeth/Dropbox/specificity community study/rstuff/prop year1yeartwo by success stage.csv")
attach(data)
names(data)
head(data)

par(mfrow=c(2,1),mar=c(1,1,0,1),oma=c(3,3,1,1))

plot(earlyyear1rat, earlyyear2rat, ylim=c(0,1), xlim=c(0,2), pch=15)
earlyfit<-lm(earlyyear2rat~earlyyear1rat, data=data, weights=earlyweight)
earlynotfit<-lm(earlyyear2rat~earlyyear1rat, data=data)
#abline(earlynotfit, lty=1)

earlyfit
abline(earlyfit, lty=2)
abline(0,1)

#mtext(side=2, text="Proportion Late Year 2
 #  in Early Biased Pots", line=2.5, adj=0)

legend(1.25,0.4, c(  "Early Biased", "Mid-Successional", "Late Biased"),  
       cex=1, pch=c(15,16,17), 
       col=c( "black", "orange", "darkgreen"), bty="n")
text(1.6, .4, "Initial Plant Composition")
help(legend)
points(midyear1rat, midyear2rat, ylim=c(0,1), xlim=c(0,1), col="orange", pch=16)
midfit<-lm(midyear2rat~midyear1rat, data=data, weights=midweight)
midfit
abline(midfit, lty=2, col="orange")

midnotfit<-lm(midyear2rat~midyear1rat, data=data)
#abline(midnotfit, lty=1)
#mtext(side=2, text="Proportion Late Year 2
#in Mid-Successional Pots", line=2.5, adj=0)


points(lateyear1rat, lateyear2rat, ylim=c(0,1), xlim=c(0,1), col="darkgreen", pch=17)
latefit<-lm(lateyear2rat~lateyear1rat, data=data, weights=lateweight)
latefit
abline(latefit, lty=3, col="darkgreen")
abline(0,1)
latenotfit<-lm(lateyear2rat~lateyear1rat, data=data)
#abline(latenotfit, lty=1)

#mtext(side=1, text="Proportion Late Year 1 ", line=2.5, cex=1.5)
mtext(side=2, text="Proportion Late Year 2", cex=1.2,line=2.5, adj=0)

text(.04, .96, "A)")





par(mar=c(1,1,2,0), bty="n")


plot(0.348903913,0.640329419, ylim=c(0,1), xlim=c(0,2), pch=0, col="blue", ann=FALSE, bty="n")
#all
#goodb
points(0.412070013,0.60791518, pch=15, col="blue")
#goodg	
points(0.365870032,0.737648111 ,pch=16, col="blue")
#goodm	
points(0.334226789,0.522810995, pch=17, col="blue")
#inf
points(0.389730284,0.722199084, pch=8, col="blue")
#lam
points(0.32692953,0.598398169, pch=6, col="blue")

#badmi	
points(0.38771237,0.643191591, pch=15, col="red")
#cla	
points(0.332221819,0.469355601, pch=16, col="red")
#mixmi	
points(0.287358411,0.580494668, pch=17, col="red")
#mos	
points(0.321248447,0.634437382, pch=8, col="red")

#pel	
points(0.221915285,0.353960396, pch=15, col="black")
#spi	
points(0.303395852,0.517770146, pch=16, col="black")
#badba	
points(0.13921265,0.408748682, pch=17, col="black")
#str	
points(0.233621622,0.216476311, pch=8, col="black")

legend(1.04,1.09, c("Diverse 6 Species Mix",  "Beneficial/Non-beneficial", "Beneficial/Beneficial",
                  "Beneficial/Intermediate", "E. infrequens", "C. lamellosum", "Non-beneficial/Intermediate", 
                  "C. claroideum", "Intermediate/Intermediate", "F. mosseae", "S. pellucida", "A. spinosa" ,
                  "Non-beneficial/Non-beneficial", "Non-Inoculated Control"
),  cex=.9, pch=c(0, 15, 16, 17, 8, 6, 15, 16, 17, 8, 15, 16, 17, 8), 
col=c("blue","blue","blue","blue","blue","blue",
      "red","red","red","red", 
      "black", "black", "black", "black"), bty="n")


   
mtext(side=1, text="Proportion Late Year 1                                            ."      ,line=2.5, cex=1.2)
mtext(side=2, text="Proportion Late Year 2", cex=1.2,line=2.5, adj=0)



abline(0,1)
help(mtext)
text(.04, .96, "B)")
pants<-lm(pear2proplate~year1proplate, data=data, weights=weightwhat)
nopants<-lm(pear2proplate~year1proplate, data=data)

abline(pants, lty=2)
#abline(nopants, col="red")





