PROC IMPORT OUT= WORK.First 
            DATAFILE= "C:\Users\Bever lab\Documents\liz\speccom\OKspeccomBIGPOTmoved.csv"
            DBMS=CSV REPLACE;
     GETNAMES=YES;
     DATAROW=2; 
RUN;
*potid	rep	line	soiltreat	soil	planttreat	numlate	numearly	propearly	plantsp	plantstage
plant1t1	plant2t1	plant3t1	averaget1	
plant1t2	plant2t2	plant3t2	averaget2	
plantwt	flowerwt	totwt
plant1flt1	plant2flt1	plant3flt1	avgtralft1	
plant1flt2	plant2flt2	plant3flt3	averageflt2
year2wt	year2flrwt yr2totwt
																																																																																										


FUNGI are
ALL
badbad
badmix
cla
goodbad
goodgood
goodmix
inf
lam
mixmix
mos
pel
spi
str
;


data first;
set first;
if potid="aa" then delete;
logtotwt= log(1+totwt);
logflowerwt=log(1+flowerwt);
logyr2totwt=log(1+year2totwt);
logyr2flowerwt=log(1+year2flrwt);


if soil= "badba" then delete;
if soil= "badmi" then delete;
if soil= "goodb" then delete;
if soil= "goodg" then delete;
if soil= "goodm" then delete;
if soil= "mixmi" then delete;



proc mixed; class rep soil planttreat plantsp plantstage ;
model logtotwt
       = averaget1 rep soil planttreat plantstage  plantstage*soil plantstage*soil*planttreat;
random rep*soil rep*soil*plantstage*plantsp;
*contrast "linear" planttreat*soil ;
*contrast "linear" planttreat -1 0 1;
 lsmeans  plantstage*soil plantstage*soil*planttreat;
	   run;
