PROC IMPORT OUT= WORK.First 
            DATAFILE= "C:\Users\Jim B\Documents\Ekoziol\Mesocosm exp\sp
eccom2014all1aCorrectedmixbad.csv" 
            DBMS=CSV REPLACE;
     GETNAMES=YES;
     DATAROW=2; 
RUN;

*potid	soiltreat numfunsp	mixture	plantteat	numlate	numearly	proplate	rep	type	nely	
nrudy	ntra	ndes	nep	nnova	nsch	nsil	npal	namo	nall	nazu	nearlies	
nlates	elywt	rudwt	trawt	deswt	purwt	novawt	schwt	silwt	palwt	amowt	allwt	
azuwt	latewt	earlywt	earlypercap	latepercap	propearlybywt	earlyflow	lateflow	totalpotwt	
totalDIV	lateDIV	esttotal	estearly	estlate	estproplate	estratiooflate	avgely	avgrud	avgtra	
avgdes	avgpur	avgnova	avgsch	avgsil	avgpal	avgamo	avgall	avgazu	ely	rud	tra	des	pur	nova	
sch	sil	pal	amo	all	azu	sumavgearly	sumavglate	earlydiv
;


Data first; set first;
if	potid	=	999	then	delete;																																				
logitlateinit	=	log(proplate/(1-proplate));																																							
proplatewt	=	latewt/totalpotwt;																																							
logitlatefinalwt	=	log(proplatewt/(1-proplatewt));																																							
estproplateSAS=estlate/estearly;																																									
logitestproplate=log(estproplateSAS/(1-estproplateSAS));																																									
logitestpropladeMADE=log(estproplate/(1-estproplate));	
propearly = 1-proplate;	
ely=log(1+avgely);																																									
sch=log(1+avgsch);																																									
rud=log(1+avgrud);																																									
sil=log(1+avgsil);																																									
des=log(1+avgdes);																																									
amo=log(1+avgamo);																																									
tra=log(1+avgtra);																																									
nova=log(1+avgnova);																																									
pur=log(1+avgpur);																																									
all=log(1+avgall);																																									
azu=log(1+avgazu);																																									
pal=log(1+avgpal);																																									
earlies=(ely+sch+rud+tra+pur+nova);																																									
lates=(sch+sil+pal+amo+azu+all);																																									
/*logcapearly=log(1+capearly);																																									
logcaplate=log(1+caplate);																																									
logsumavgearlies=log(1+sumavgearly);																																									
logsumavglate=log(1+sumavglate);*/																																									
logearlypercap=log(1+earlypercap);																																									
loglatepercap=log(1+latepercap);	
learlyflow = log(1+earlyflow);
llateflow = log(1+	lateflow);	
																																									



	
proc	glm;	class	soiltreat	plantteat;																																					
model	totalDIV totalpotwt learlyflow llateflow loglatepercap logearlypercap=	rep	soiltreat plantteat 		/ss3	solution	;	
contrast "AMF vs sterile"  	soiltreat 1 1 1 1 1 1 1 1 1 1 1 1 1 -13;
contrast "AM div-average" soiltreat   3.75 -0.041667 -0.20833 -0.041667 -0.041667 -0.041667  -0.20833 -0.20833  -0.041667 -0.041667  -0.20833   -0.20833  -0.20833          -2.25;
contrast "All vs bad" soiltreat   3 -1 0 0 0 0 0 0 0 0 0 -1 -1 0 ;
contrast "All vs good" soiltreat  3 0 0 0 -1 0 -1 -1 0 0 0 0 0 0 ;
contrast "All vs intermediate" soiltreat  3 0 -1 0 0 0 0 0 0 -1 -1 0 0 0 ;
contrast "zero vs bad" soiltreat   0 -1 0 0 0 0 0 0 0 0 0 -1 -1 3 ;
contrast "zero vs good" soiltreat  0 0 0 0 -1 0 -1 -1 0 0 0 0 0 3 ;
contrast "zero vs intermediate" soiltreat  0 0 -1 0 0 0 0 0 0 -1 -1 0 0 3 ;
contrast "zero vs All" soiltreat  1 0 0 0 0 0 0 0 0 0 0 0 0 -1;
contrast "all vs av of all" soiltreat		6 0 -1 0 0 0 -1 -1 0 0 -1 -1 -1 0;


lsmeans	soiltreat		/stderr;																																						
means	soiltreat	/tukey	lines;																																						
																																									
run;																																									
																																									
																																									
proc	glm;	class	soiltreat	plantteat;																																					
model	totalDIV totalpotwt learlyflow llateflow loglatepercap logearlypercap=	rep	proplate	soiltreat	soiltreat*proplate	/ss3	solution	;	
contrast "AMF vs sterile"  	soiltreat 1 1 1 1 1 1 1 1 1 1 1 1 1 -13;
contrast "avbad vs zero"  	soiltreat 0 1 0 0 0 0 0 0 0 0 0 -1 -1  -3;
*contrast "All vs good"  	soiltreat 6 0 -1 0 0 0 -1 -1 0 0 -1 -1 -1 0;

contrast "AM div-average" soiltreat   3.75 -0.041667 -0.20833 -0.041667 -0.041667 -0.041667  -0.20833 -0.20833  -0.041667 -0.041667  -0.20833   -0.20833  -0.20833          -2.25;
contrast "AM div-bad" soiltreat   0 1 0 0 0 0 0 0 0 0 0 0 0 -1 ;
contrast "AM div-good" soiltreat  0 0 0 0 1 0 0 0 0 0 0 0 0 -1 ;
contrast "AM div-intermediate" soiltreat  0 0 0 0 0 0 0 0 0 1 0 0 0 -1 ;
contrast "pres Good-intermed vs Bad" soiltreat 3 -10 3 3 3 3 3 3 3 3 3 -10 -10 0;
contrast "freq vs density feedbacks--i.e. mix of good adn bad vs not" soiltreat 7 0 -3 7 -3 -3 -3 -3 7 -3 -3 0 0 0;
contrast "goodgood vs av of good" soiltreat 0 0 0 0 2 0 -1 -1 0 0 0 0 0 0;
contrast "mixmix vs av of mix"  soiltreat   0 0 -1 0 0 0 0 0 0 2 -1 0 0 0;
contrast "badbad vs av of bad" soiltreat    0 2 0 0 0 0 0 0 0 0 0 -1 -1 0;
contrast "goodmix vs av"  soiltreat 		0 0 -1 0 0 4 -1 -1 0 -1 0 0 0 0;
contrast "goodbad vs av" soiltreat 			0 0  0 4 0 0 -1 -1 0 0  0 -1 -1 0;
contrast "mixbad vs av" soiltreat			0 0 -1 0 0 0  0  0 4 0 -1 -1 -1 0;
contrast "good/mixbad vs av" soiltreat		0 0 -1 4 0 0 -1 -1 4 0 -1 -2 -2 0;
contrast "good/mixbad+All vs av" soiltreat		6 0 -2 4 0 0 -2 -2 4 0 -2 -3 -3 0  ;

contrast "all vs av of all" soiltreat		6 0 -1 0 0 0 -1 -1 0 0 -1 -1 -1 0;


contrast "AMF vs sterile*proplate"  	soiltreat*proplate 1 1 1 1 1 1 1 1 1 1 1 1 1 -13 
									-1 -1 -1 -1 -1 -1 -1 -1 -1 -1 -1 -1 -1 13;
contrast "AM div-average*proplate" soiltreat*proplate   3.75 -0.041667 -0.20833 -0.041667 -0.041667 -0.041667  -0.20833 -0.20833  
-0.041667 -0.041667  -0.20833   -0.20833  -0.20833   -2.25   -3.75 0.041667 0.20833 0.041667 0.041667 0.041667  0.20833 0.20833  
0.041667 0.041667  0.20833   0.20833  0.20833   2.25;
contrast "AM div-bad*proplate" soiltreat*proplate   0 1 0 0 0 0 0 0 0 0 0 0 0 -1   0 -1 0 0 0 0 0 0 0 0 0 0 0 1;
contrast "AM div-good*proplate" soiltreat*proplate  0 0 0 0 1 0 0 0 0 0 0 0 0 -1  0 0 0 0 -1 0 0 0 0 0 0 0 0 1 ;
contrast "AM div-intermediate*proplate" soiltreat*proplate  0 0 0 0 0 0 0 0 0 1 0 0 0 -1  0 0 0 0 0 0 0 0 0 -1 0 0 0 1 ;
contrast "pres Good-intermed vs Bad*proplate" soiltreat*proplate 3 -10 3 3 3 3 3 3 3 3 3 -10 -10 0  
							-3 10 -3 -3 -3 -3 -3 -3 -3 -3 -3 10 10 0 ;
contrast "freq vs density feedbacks--i.e. mix of good adn bad vs not*proplate" soiltreat*proplate 
		7 0 -3 7 -3 -3 -3 -3 7 -3 -3 0 0 0    -7 0 3 -7 3 3 3 3 -7 3 3 0 0 0;
contrast "goodgood vs av of good*proplate" soiltreat*proplate 0 0 0 0 2 0 -1 -1 0 0 0 0 0 0  0 0 0 0 -2 0 1 1 0 0 0 0 0 0;
contrast "mixmix vs av of mix*proplate"  soiltreat*proplate   0 0 -1 0 0 0 0 0 0 2 -1 0 0 0   0 0 1 0 0 0 0 0 0 -2 1 0 0 0;
contrast "badbad vs av of bad*proplate" soiltreat*proplate    0 2 0 0 0 0 0 0 0 0 0 -1 -1 0   0 -2 0 0 0 0 0 0 0 0 0 1 1 0 ;
contrast "goodmix vs av*proplate"  soiltreat*proplate 		0 0 -1 0 0 4 -1 -1 0 -1 0 0 0 0   0 0 1 0 0 -4 1 1 0 1 0 0 0 0;
contrast "goodbad vs av*proplate" soiltreat*proplate 		0 0 0 4 0 0 -1 -1 0 0 0 -1 -1 0   0 0 0 -4 0 0 1 1 0 0 0 1 1 0;
contrast "mixbad vs av*proplate" soiltreat*proplate			0 0 -1 0 0 0 0 0 4 0 -1 -1 -1 0   0 0 1 0 0 0 0 0 -4 0 1 1 1 0 ;
contrast "good/mixbad vs av*proplate" soiltreat*proplate				0 0 -1 4 0 0 -1 -1 4 0 -1 -2 -2 0 0 0 1 -4 0 0 1 1 -4 0 1 2 2 0;
contrast "good/mixbad+All vs av*proplate" soiltreat*proplate		6 0 -2 4 0 0 -2 -2 4 0 -2 -3 -3 0  -6 0 2 -4 0 0 2 2 -4 0 2 3 3 0;
contrast "all vs av of all*proplate" soiltreat*proplate		6 0 -1 0 0 0 -1 -1 0 0 -1 -1 -1 0  -6 0 1 0 0 0 1 1 0 0 1 1 1 0;
estimate "AMF vs sterile"  	soiltreat 1 1 1 1 1 1 1 1 1 1 1 1 1 -13;
estimate "pres Good-intermed vs Bad" soiltreat 3 -10 3 3 3 3 3 3 3 3 3 -10 -10 0;
estimate "freq vs density feedbacks--i.e. mix of good adn bad vs not" soiltreat 7 0 -3 7 -3 -3 -3 -3 7 -3 -3 0 0 0;

estimate "goodgood vs av of good" soiltreat 0 0 0 0 2 0 -1 -1 0 0 0 0 0 0;
estimate "mixmix vs av of mix"  soiltreat   0 0 -1 0 0 0 0 0 0 2 -1 0 0 0;
estimate "badbad vs av of bad" soiltreat    0 2 0 0 0 0 0 0 0 0 0 -1 -1 0;
estimate "goodmix vs av"  soiltreat 		0 0 -1 0 0 4 -1 -1 0 -1 0 0 0 0;
estimate "goodbad vs av" soiltreat 			0 0 0 4 0 0 -1 -1 0 0 0 -1 -1 0;
estimate "mixbad vs av" soiltreat			0 0 -1 0 0 0 0 0 4 0 -1 -1 -1 0;
estimate "good/mixbad vs av" soiltreat		0 0 -1 4 0 0 -1 -1 4 0 -1 -2 -2 0;

estimate "all vs av of all" soiltreat		6 0 -1 0 0 0 -1 -1 0 0 -1 -1 -1 0;


estimate "AMF vs sterile*proplate"  	soiltreat*proplate 1 1 1 1 1 1 1 1 1 1 1 1 1 -13 
									-1 -1 -1 -1 -1 -1 -1 -1 -1 -1 -1 -1 -1 13;
estimate "pres Good-intermed vs Bad*proplate" soiltreat*proplate 3 -10 3 3 3 3 3 3 3 3 3 -10 -10 0  
							-3 10 -3 -3 -3 -3 -3 -3 -3 -3 -3 10 10 0 ;
estimate "freq vs density feedbacks--i.e. mix of good adn bad vs not*proplate" soiltreat*proplate 
		7 0 -3 7 -3 -3 -3 -3 7 -3 -3 0 0 0    -7 0 3 -7 3 3 3 3 -7 3 3 0 0 0;
estimate "goodgood vs av of good*proplate" soiltreat*proplate 0 0 0 0 2 0 -1 -1 0 0 0 0 0 0  0 0 0 0 -2 0 1 1 0 0 0 0 0 0;
estimate "mixmix vs av of mix*proplate"  soiltreat*proplate   0 0 -1 0 0 0 0 0 0 2 -1 0 0 0   0 0 1 0 0 0 0 0 0 -2 1 0 0 0;
estimate "badbad vs av of bad*proplate" soiltreat*proplate    0 2 0 0 0 0 0 0 0 0 0 -1 -1 0   0 -2 0 0 0 0 0 0 0 0 0 1 1 0 ;
estimate "goodmix vs av*proplate"  soiltreat*proplate 		0 0 -1 0 0 4 -1 -1 0 -1 0 0 0 0   0 0 1 0 0 -4 1 1 0 1 0 0 0 0;
estimate "goodbad vs av*proplate" soiltreat*proplate 		0 0 0 4 0 0 -1 -1 0 0 0 -1 -1 0   0 0 0 -4 0 0 1 1 0 0 0 1 1 0;
estimate "mixbad vs av*proplate" soiltreat*proplate			0 0 -1 0 0 0 0 0 4 0 -1 -1 -1 0   0 0 1 0 0 0 0 0 -4 0 1 1 1 0 ;
estimate "good/mixbad vs av*proplate" soiltreat				0 0 -1 4 0 0 -1 -1 4 0 -1 -2 -2 0 0 0 1 -4 0 0 1 1 -4 0 1 2 2 0;
estimate "all vs av of all*proplate" soiltreat*proplate		6 0 -1 0 0 0 -1 -1 0 0 -1 -1 -1 0  -6 0 1 0 0 0 1 1 0 0 1 1 1 0;


lsmeans	soiltreat		/stderr;																																						
means	soiltreat	/tukey	lines;																																						
																																									
run;			
/*	
proc	glm;	class	soiltreat	plantteat;																																					
model	totalDIV totalpotwt learlyflow llateflow loglatepercap logearlypercap=	rep	proplate	soiltreat	soiltreat*proplate/ss3	solution	;	
contrast "AMF vs sterile"  	soiltreat 1 1 1 1 1 1 1 1 1 1 1 1 1 -13;
contrast "pres Good-intermed vs Bad" soiltreat 3 -10 3 3 3 3 3 3 3 3 3 -10 -10 0;
contrast "freq vs density feedbacks--i.e. mix of good adn bad vs not" soiltreat 7 0 -3 7 -3 -3 -3 -3 7 -3 -3 0 0 0;
contrast "goodgood vs av of good" soiltreat 0 0 0 0 2 0 -1 -1 0 0 0 0 0 0;
contrast "mixmix vs av of mix"  soiltreat   0 0 -1 0 0 0 0 0 0 2 -1 0 0 0;
contrast "badbad vs av of bad" soiltreat    0 2 0 0 0 0 0 0 0 0 0 -1 -1 0;
contrast "goodmix vs av"  soiltreat 		0 0 -1 0 0 4 -1 -1 0 -1 0 0 0 0;
contrast "goodbad vs av" soiltreat 			0 0  0 4 0 0 -1 -1 0 0  0 -1 -1 0;
contrast "mixbad vs av" soiltreat			0 0 -1 0 0 0  0  0 4 0 -1 -1 -1 0;
contrast "good/mixbad vs av" soiltreat		0 0 -1 4 0 0 -1 -1 4 0 -1 -2 -2 0;

contrast "all vs av of all" soiltreat		6 0 -1 0 0 0 -1 -1 0 0 -1 -1 -1 0;


contrast "AMF vs sterile*proplate"  	soiltreat*proplate 1 1 1 1 1 1 1 1 1 1 1 1 1 -13 
									-1 -1 -1 -1 -1 -1 -1 -1 -1 -1 -1 -1 -1 13;
contrast "pres Good-intermed vs Bad*proplate" soiltreat*proplate 3 -10 3 3 3 3 3 3 3 3 3 -10 -10 0  
							-3 10 -3 -3 -3 -3 -3 -3 -3 -3 -3 10 10 0 ;
contrast "freq vs density feedbacks--i.e. mix of good adn bad vs not*proplate" soiltreat*proplate 
		7 0 -3 7 -3 -3 -3 -3 7 -3 -3 0 0 0    -7 0 3 -7 3 3 3 3 -7 3 3 0 0 0;
contrast "goodgood vs av of good*proplate" soiltreat*proplate 0 0 0 0 2 0 -1 -1 0 0 0 0 0 0  0 0 0 0 -2 0 1 1 0 0 0 0 0 0;
contrast "mixmix vs av of mix*proplate"  soiltreat*proplate   0 0 -1 0 0 0 0 0 0 2 -1 0 0 0   0 0 1 0 0 0 0 0 0 -2 1 0 0 0;
contrast "badbad vs av of bad*proplate" soiltreat*proplate    0 2 0 0 0 0 0 0 0 0 0 -1 -1 0   0 -2 0 0 0 0 0 0 0 0 0 1 1 0 ;
contrast "goodmix vs av*proplate"  soiltreat*proplate 		0 0 -1 0 0 4 -1 -1 0 -1 0 0 0 0   0 0 1 0 0 -4 1 1 0 1 0 0 0 0;
contrast "goodbad vs av*proplate" soiltreat*proplate 		0 0 0 4 0 0 -1 -1 0 0 0 -1 -1 0   0 0 0 -4 0 0 1 1 0 0 0 1 1 0;
contrast "mixbad vs av*proplate" soiltreat*proplate			0 0 -1 0 0 0 0 0 4 0 -1 -1 -1 0   0 0 1 0 0 0 0 0 -4 0 1 1 1 0 ;
contrast "good/mixbad vs av*proplate" soiltreat				0 0 -1 4 0 0 -1 -1 4 0 -1 -2 -2 0 0 0 1 -4 0 0 1 1 -4 0 1 2 2 0;
contrast "all vs av of all*proplate" soiltreat*proplate		6 0 -1 0 0 0 -1 -1 0 0 -1 -1 -1 0  -6 0 1 0 0 0 1 1 0 0 1 1 1 0;
estimate "AMF vs sterile"  	soiltreat 1 1 1 1 1 1 1 1 1 1 1 1 1 -13;
estimate "pres Good-intermed vs Bad" soiltreat 3 -10 3 3 3 3 3 3 3 3 3 -10 -10 0;
estimate "freq vs density feedbacks--i.e. mix of good adn bad vs not" soiltreat 7 0 -3 7 -3 -3 -3 -3 7 -3 -3 0 0 0;

estimate "goodgood vs av of good" soiltreat 0 0 0 0 2 0 -1 -1 0 0 0 0 0 0;
estimate "mixmix vs av of mix"  soiltreat   0 0 -1 0 0 0 0 0 0 2 -1 0 0 0;
estimate "badbad vs av of bad" soiltreat    0 2 0 0 0 0 0 0 0 0 0 -1 -1 0;
estimate "goodmix vs av"  soiltreat 		0 0 -1 0 0 4 -1 -1 0 -1 0 0 0 0;
estimate "goodbad vs av" soiltreat 			0 0 0 4 0 0 -1 -1 0 0 0 -1 -1 0;
estimate "mixbad vs av" soiltreat			0 0 -1 0 0 0 0 0 4 0 -1 -1 -1 0;
estimate "good/mixbad vs av" soiltreat		0 0 -1 4 0 0 -1 -1 4 0 -1 -2 -2 0;

estimate "all vs av of all" soiltreat		6 0 -1 0 0 0 -1 -1 0 0 -1 -1 -1 0;


estimate "AMF vs sterile*proplate"  	soiltreat*proplate 1 1 1 1 1 1 1 1 1 1 1 1 1 -13 
									-1 -1 -1 -1 -1 -1 -1 -1 -1 -1 -1 -1 -1 13;
estimate "pres Good-intermed vs Bad*proplate" soiltreat*proplate 3 -10 3 3 3 3 3 3 3 3 3 -10 -10 0  
							-3 10 -3 -3 -3 -3 -3 -3 -3 -3 -3 10 10 0 ;
estimate "freq vs density feedbacks--i.e. mix of good adn bad vs not*proplate" soiltreat*proplate 
		7 0 -3 7 -3 -3 -3 -3 7 -3 -3 0 0 0    -7 0 3 -7 3 3 3 3 -7 3 3 0 0 0;
estimate "goodgood vs av of good*proplate" soiltreat*proplate 0 0 0 0 2 0 -1 -1 0 0 0 0 0 0  0 0 0 0 -2 0 1 1 0 0 0 0 0 0;
estimate "mixmix vs av of mix*proplate"  soiltreat*proplate   0 0 -1 0 0 0 0 0 0 2 -1 0 0 0   0 0 1 0 0 0 0 0 0 -2 1 0 0 0;
estimate "badbad vs av of bad*proplate" soiltreat*proplate    0 2 0 0 0 0 0 0 0 0 0 -1 -1 0   0 -2 0 0 0 0 0 0 0 0 0 1 1 0 ;
estimate "goodmix vs av*proplate"  soiltreat*proplate 		0 0 -1 0 0 4 -1 -1 0 -1 0 0 0 0   0 0 1 0 0 -4 1 1 0 1 0 0 0 0;
estimate "goodbad vs av*proplate" soiltreat*proplate 		0 0 0 4 0 0 -1 -1 0 0 0 -1 -1 0   0 0 0 -4 0 0 1 1 0 0 0 1 1 0;
estimate "mixbad vs av*proplate" soiltreat*proplate			0 0 -1 0 0 0 0 0 4 0 -1 -1 -1 0   0 0 1 0 0 0 0 0 -4 0 1 1 1 0 ;
estimate "good/mixbad vs av*proplate" soiltreat				0 0 -1 4 0 0 -1 -1 4 0 -1 -2 -2 0 0 0 1 -4 0 0 1 1 -4 0 1 2 2 0;
estimate "all vs av of all*proplate" soiltreat*proplate		6 0 -1 0 0 0 -1 -1 0 0 -1 -1 -1 0  -6 0 1 0 0 0 1 1 0 0 1 1 1 0;

manova H=rep	proplate	soiltreat	soiltreat*proplate;
repeated profile;
lsmeans	soiltreat		/stderr;																																						
means	soiltreat	/tukey	lines;																																						
																																									
run;																																									
																																									
																																									
proc	glm;	class	soiltreat	plantteat;																																					
model	 logearlypercap=	rep	propearly	soiltreat	soiltreat*propearly/ss3	solution	;	
contrast "AMF vs sterile"  	soiltreat 1 1 1 1 1 1 1 1 1 1 1 1 1 -13;
contrast "pres Good-intermed vs Bad" soiltreat 3 -10 3 3 3 3 3 3 3 3 3 -10 -10 0;
contrast "freq vs density feedbacks--i.e. mix of good adn bad vs not" soiltreat 7 0 -3 7 -3 -3 -3 -3 7 -3 -3 0 0 0;
contrast "goodgood vs av of good" soiltreat 0 0 0 0 2 0 -1 -1 0 0 0 0 0 0;
contrast "mixmix vs av of mix"  soiltreat   0 0 -1 0 0 0 0 0 0 2 -1 0 0 0;
contrast "badbad vs av of bad" soiltreat    0 2 0 0 0 0 0 0 0 0 0 -1 -1 0;
contrast "goodmix vs av"  soiltreat 		0 0 -1 0 0 4 -1 -1 0 -1 0 0 0 0;
contrast "goodbad vs av" soiltreat 			0 0 0 4 0 0 -1 -1 0 0 0 -1 -1 0;
contrast "mixbad vs av" soiltreat			0 0 -1 0 0 0 0 0 4 0 -1 -1 -1 0;
contrast "all vs av of all" soiltreat		6 0 -1 0 0 0 -1 -1 0 0 -1 -1 -1 0;


contrast "AMF vs sterile*propearly"  	soiltreat*propearly 1 1 1 1 1 1 1 1 1 1 1 1 1 -13 
									-1 -1 -1 -1 -1 -1 -1 -1 -1 -1 -1 -1 -1 13;
contrast "pres Good-intermed vs Bad*propearly" soiltreat*propearly 3 -10 3 3 3 3 3 3 3 3 3 -10 -10 0  
							-3 10 -3 -3 -3 -3 -3 -3 -3 -3 -3 10 10 0 ;
contrast "freq vs density feedbacks--i.e. mix of good adn bad vs not*propearly" soiltreat*propearly 
		7 0 -3 7 -3 -3 -3 -3 7 -3 -3 0 0 0    -7 0 3 -7 3 3 3 3 -7 3 3 0 0 0;
contrast "goodgood vs av of good*propearly" soiltreat*propearly 0 0 0 0 2 0 -1 -1 0 0 0 0 0 0  0 0 0 0 -2 0 1 1 0 0 0 0 0 0;
contrast "mixmix vs av of mix*propearly"  soiltreat*propearly   0 0 -1 0 0 0 0 0 0 2 -1 0 0 0   0 0 1 0 0 0 0 0 0 -2 1 0 0 0;
contrast "badbad vs av of bad*propearly" soiltreat*propearly    0 2 0 0 0 0 0 0 0 0 0 -1 -1 0   0 -2 0 0 0 0 0 0 0 0 0 1 1 0 ;
contrast "goodmix vs av*propearly"  soiltreat*propearly 		0 0 -1 0 0 4 -1 -1 0 -1 0 0 0 0   0 0 1 0 0 -4 1 1 0 1 0 0 0 0;
contrast "goodbad vs av*propearly" soiltreat*propearly 		0 0 0 4 0 0 -1 -1 0 0 0 -1 -1 0   0 0 0 -4 0 0 1 1 0 0 0 1 1 0;
contrast "mixbad vs av*propearly" soiltreat*propearly			0 0 -1 0 0 0 0 0 4 0 -1 -1 -1 0   0 0 1 0 0 0 0 0 -4 0 1 1 1 0 ;
contrast "all vs av of all*propearly" soiltreat*propearly		6 0 -1 0 0 0 -1 -1 0 0 -1 -1 -1 0  -6 0 1 0 0 0 1 1 0 0 1 1 1 0;
estimate "AMF vs sterile"  	soiltreat 1 1 1 1 1 1 1 1 1 1 1 1 1 -13;
estimate "pres Good-intermed vs Bad" soiltreat 3 -10 3 3 3 3 3 3 3 3 3 -10 -10 0;
estimate "freq vs density feedbacks--i.e. mix of good adn bad vs not" soiltreat 7 0 -3 7 -3 -3 -3 -3 7 -3 -3 0 0 0;

estimate "goodgood vs av of good" soiltreat 0 0 0 0 2 0 -1 -1 0 0 0 0 0 0;
estimate "mixmix vs av of mix"  soiltreat   0 0 -1 0 0 0 0 0 0 2 -1 0 0 0;
estimate "badbad vs av of bad" soiltreat    0 2 0 0 0 0 0 0 0 0 0 -1 -1 0;
estimate "goodmix vs av"  soiltreat 		0 0 -1 0 0 4 -1 -1 0 -1 0 0 0 0;
estimate "goodbad vs av" soiltreat 			0 0 0 4 0 0 -1 -1 0 0 0 -1 -1 0;
estimate "mixbad vs av" soiltreat			0 0 -1 0 0 0 0 0 4 0 -1 -1 -1 0;
estimate "all vs av of all" soiltreat		6 0 -1 0 0 0 -1 -1 0 0 -1 -1 -1 0;


estimate "AMF vs sterile*proplate"  	soiltreat*propearly 1 1 1 1 1 1 1 1 1 1 1 1 1 -13 
									-1 -1 -1 -1 -1 -1 -1 -1 -1 -1 -1 -1 -1 13;
estimate "pres Good-intermed vs Bad*propearly" soiltreat*propearly 3 -10 3 3 3 3 3 3 3 3 3 -10 -10 0  
							-3 10 -3 -3 -3 -3 -3 -3 -3 -3 -3 10 10 0 ;
estimate "freq vs density feedbacks--i.e. mix of good adn bad vs not*propearly" soiltreat*propearly 
		7 0 -3 7 -3 -3 -3 -3 7 -3 -3 0 0 0    -7 0 3 -7 3 3 3 3 -7 3 3 0 0 0;
estimate "goodgood vs av of good*propearly" soiltreat*propearly 0 0 0 0 2 0 -1 -1 0 0 0 0 0 0  0 0 0 0 -2 0 1 1 0 0 0 0 0 0;
estimate "mixmix vs av of mix*propearly"  soiltreat*propearly   0 0 -1 0 0 0 0 0 0 2 -1 0 0 0   0 0 1 0 0 0 0 0 0 -2 1 0 0 0;
estimate "badbad vs av of bad*propearly" soiltreat*propearly    0 2 0 0 0 0 0 0 0 0 0 -1 -1 0   0 -2 0 0 0 0 0 0 0 0 0 1 1 0 ;
estimate "goodmix vs av*propearly"  soiltreat*propearly 		0 0 -1 0 0 4 -1 -1 0 -1 0 0 0 0   0 0 1 0 0 -4 1 1 0 1 0 0 0 0;
estimate "goodbad vs av*propearly" soiltreat*propearly 		0 0 0 4 0 0 -1 -1 0 0 0 -1 -1 0   0 0 0 -4 0 0 1 1 0 0 0 1 1 0;
estimate "mixbad vs av*propearly" soiltreat*propearly			0 0 -1 0 0 0 0 0 4 0 -1 -1 -1 0   0 0 1 0 0 0 0 0 -4 0 1 1 1 0 ;
estimate "all vs av of all*propearly" soiltreat*propearly		6 0 -1 0 0 0 -1 -1 0 0 -1 -1 -1 0  -6 0 1 0 0 0 1 1 0 0 1 1 1 0;


lsmeans	soiltreat	/stderr;																																						
means	soiltreat	/tukey	lines;																																						
																																									
run;																																									
*/
